%global debug_package %{nil}
%global project compose

Name:           docker-compose
Version:        1.5.2
Release:        4%{?dist}
Summary:        Multi-container orchestration for Docker

License:        ASL 2.0
URL:            https://www.docker.com/
Source0:        https://pypi.python.org/packages/source/d/%{name}/%{name}-%{version}.tar.gz

# docker-compose is compatible with fig and is a simple rename.
# Currently it only prints deprecation warnings for changed functionality.
Provides:       fig = %{version}-%{release}
# Last fig EVR was 1.0.1-2
Obsoletes:      fig <= 1.0.1-3

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-docker-py
BuildRequires:  python-websocket-client
BuildRequires:  python-texttable
BuildRequires:  python-requests
BuildRequires:  PyYAML
BuildRequires:  python-docopt

Requires:       python-setuptools
# Version required for Fedora <= 21 and EPEL <= 7 due to BZ#1197300
Requires:       python-docker-py >= 0.7.1-3
Requires:       python-texttable
Requires:       python-docopt
Requires:       python-requests
Requires:       python-websocket-client
Requires:       python-six
Requires:       python-dockerpty
Requires:       PyYAML
Requires:       python-dpath
Requires:       python-jsonschema >= 2.5.1-1

BuildArch:      noarch

%description
Multi-container orchestration for Docker

Docker-compose allows you to:
- Define your application's environment with Docker so it can be reproduced
  anywhere.
- Define the services that make up your app so they can be run together in an
  isolated environment.
- Run 'docker-compose up', and docker-compose will start and run your entire
  app.

%prep
%setup -qn %{project}-%{version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%doc CHANGELOG.md CONTRIBUTING.md README.md SWARM.md
%license LICENSE
%{_bindir}/%{name}
# Upstream uses an underscore here
%{python2_sitelib}/docker_compose*
%{python2_sitelib}/compose*

%changelog
* Thu Mar 3 2016 Ryan Hallisey <rhallise@redhat.com> - 1.5.2-4
- CHANGES.md was moved to CHANGELOG.md

* Fri Feb 26 2016 Ryan Hallisey <rhallise@redhat.com> - 1.5.2-3
- Missing python-jsonschema >= 2.5.1

* Fri Feb 26 2016 Ryan Hallisey <rhallise@redhat.com> - 1.5.2-2
- Missing python-dpath

* Thu Feb 18 2016 Ryan Hallisey <rhallise@redhat.com> - 1.5.2-1
- Build docker-compose 1.5.2 for OpenStack
